<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
?>

<?php dcQuickNavbar(); ?> 

<div class="post">
	<h2 id="p<?php dcPostID(); ?>" class="post-title">
	<a href="<?php dcPostURL(); ?>"><?php dcPostTitle(); ?></a>&nbsp;&nbsp;<small style="font-weight:normal; text-transform: none; font-size: 20px;"><em><?php dcDayDate(); ?></em></small></h2>
	
	<?php dcPostChapo('<div class="post-chapo">%s</div>'); ?>
	<div class="post-content"><?php dcPostContent(); ?></div>
	
</div>

<p class="post-info">Par <?php dcPostAuthor(); ?> - <?php if (dcPostOpenTrackbacks() && dc_allow_trackbacks) : ?>
		<a href="<?php dcPostTrackBackURI(); ?>">URL de trackback</a>
	<?php else: ?>
		<p>Les trackbacks pour ce billet sont ferm&eacute;s.</p>
	<?php endif; ?> - <a href="<?php dcPostCatURL(); ?>"><?php dcPostCatTitle(); ?></a>
</p>

<div id="trackbacks">
	
	<?php while ($trackbacks->fetch()) : /* Liste des trackbacks */
		// On met le num�ro du trackback dans une variable
		$tb_num = $trackbacks->int_index+1;
	?>
		<p id="c<?php dcTBID(); ?>" class="comment-info">
		<span class="comment-number"><a href="#c<?php dcTBID(); ?>"><?php echo $tb_num; ?>.</a></span>
		Le <?php dcTBDate(); ?>, de
		<strong><?php dcTBAuthor(); ?></strong></p>
		
		<?php /* on affiche le trackback */ ?>
                <blockquote>
		<?php dcTBContent(); ?>
                </blockquote>
	<?php endwhile; ?>
</div>
	
<div id="comments">
	<?php if ($comments->isEmpty()) : /* Message si aucune commentaire */	?>
		<p>Aucun commentaire pour le moment.</p>
	<?php endif; ?>
	
	<?php while ($comments->fetch()) : /* Boucle de commentaires */
		// On met le num�ro du commentaire dans une variable
		$co_num = $comments->int_index+1;
	?>		
	
	<?php /* on affiche le commentaire */ ?>
        <blockquote<?php echo ($GLOBALS['comments']->f('comment_auteur') == $GLOBALS['news']->getUserCN()) ? " class=\"author_comment\"" : ""?>>
        <p id="c<?php dcCommentID(); ?>" class="comment-info">
		<span class="comment-number"><a href="#c<?php dcCommentID(); ?>"><?php echo $co_num; ?>.</a></span>
		<strong><?php dcCommentAuthor(); ?></strong>, le <?php dcCommentDate(); ?>:
    	</p>
		<?php dcCommentContent(); ?>
		</blockquote>
	<?php endwhile; ?>

	<h3>Leave a comment</h3><br />
	<?php if (dcPostOpenComments() && dc_allow_comments) : /* Si les commentaires sont permis */?>
		<?php if (dc_allow_comments) : /* Si les commentaires sont permis */?>
			<?php include dirname(__FILE__).'/form.php'; ?>
		<?php endif; ?>
	<?php else : ?>
		<p>Les commentaires pour ce billet sont ferm&eacute;s.</p>
	<?php endif; ?>
</div>
