<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****

# Change here the template lang
//$__lang = 'fr';

# Ajout des fichiers du template pour le cache
$mod_files[] = dirname(__FILE__).'/list.php';
$mod_files[] = dirname(__FILE__).'/post.php';
$mod_files[] = dirname(__FILE__).'/form.php';

function dcMyPostAbstract($s='%s',$l=' <a href="%s" title="Read %s"> &nbsp;> Lire la suite</a>')
{
	global $news;
		
	if ($news->f('post_chapo') != '') {
		printf($s,substr($news->getChapo(),0,-4));
		printf($l.'</p>',$news->getPermURL(),$news->f('post_titre'));

	} else {
		echo $news->getContent();
	}
}

/**
 * dcWikiCommentToolbar([string $message])
 * 
 * Affiche un barre d'outils pour la mise en forme des commentaires
 * au format wiki.
 * La barre ne sera affichée que si le format wiki des commentaires
 * est activé dans le fichier de configuration dotclear.ini.
 *
 * ( Reportez vous au fichier install.html présent dans l'archive de
 *   la wikibarre. )
 *
 * @param string $message un message d'information optionnel.
 *
 */
function dcWikiCommentToolbar($message = '') {
	global $theme_path, $theme_uri, $__theme;
	
	if (is_dir($theme_path.$__theme.'/wikibtns/')) {
		$dc_url_wikibuttons = $theme_uri.$__theme.'/wikibtns/';
	} else {
		$dc_url_wikibuttons = $theme_uri.'default/wikibtns/';
	}
	if (file_exists($theme_path.$__theme.'/js/wikibar.js')) {
		$dc_url_wikijs = $theme_uri.$__theme.'/js/wikibar.js';
	} else {
		$dc_url_wikijs = $theme_uri.'default/js/wikibar.js';
	}
	if (dc_wiki_comments) {
		echo '<script type="text/javascript" src="'.$dc_url_wikijs.'"></script>'. "\n".
'<script type="text/javascript">'. "\n".
"	if (document.getElementById) {
		var tb = new dcWikiBar(document.getElementById('c_content'),'$dc_url_wikibuttons');
	
		tb.btStrong('".str_replace("'","\'",__('Strong emphasis'))."');
		tb.btEm('".str_replace("'","\'",__('Emphasis'))."');
		tb.btIns('".str_replace("'","\'",__('Inserted'))."');
		tb.btDel('".str_replace("'","\'",__('Deleted'))."');
		tb.btQ('".str_replace("'","\'",__('Inline quote'))."');
		tb.btCode('".str_replace("'","\'",__('Code'))."');
		tb.btBr('".str_replace("'","\'",__('Line break'))."');
		tb.btPre('".str_replace("'","\'",__('Preformated text'))."');
		tb.btList('".str_replace("'","\'",__('Unordered list'))."','ul');
		tb.btList('".str_replace("'","\'",__('Ordered list'))."','ol');
		tb.btLink('".str_replace("'","\'",__('Link'))."',
			'".str_replace("'","\'",__('URL?'))."',
			'".str_replace("'","\'",__('Language?'))."',
			'".DC_LANG."');
		tb.addSpace(10);
		tb.draw('$message');
	}
</script>\n";
	}
}

/**
 * Affichage d'une ligne de navigation dans le style "Vous êtes ici !"
 * Tous les modes ne sont pas pris en compte (ex : search, home) mais il
 * ne s'agit que d'un exemple. A vous de le personnaliser.
 *
 * @param string $block   Code HTML engloblant la barre de navigation
 * @param string $item    Format d'affichage d'un niveau
 * @param string $nav_str Valeur initiale de la ligne de navigation
 *
 */
function dcQuickNavbar(
	$block = '<div id="quicknav" class="little"><p>%s</p></div>',
	$item = ' &gt; %s',
	$nav_str = '<a href="%s" title="retour à la page de garde">Accueil</a>')
{
	global $blog, $news;
	
	$mode = ($GLOBALS['mode'] == 'pagination')?$GLOBALS['dc_orig_mode']:$GLOBALS['mode'];
	
	$comp_cat_url = '';
	$nav_str = sprintf($nav_str, dc_blog_url);
	
	if ($mode == 'cat') {
		$nav_str .= sprintf($item,$news->f('cat_libelle'));
	} elseif ($mode == 'related') {
		$nav_str .= sprintf($item,$GLOBALS['related_title']);
	} elseif ($mode == 'month') {
		if ($GLOBALS['cat_id'] != '') {
			$cat_link = 
				'<a href="'.
				sprintf($blog->front_url['cat'],$comp_cat_url.$news->f('cat_libelle_url')).
				'" '.
				sprintf('title="%s"',$news->f('cat_libelle')).
				'>'.$news->f('cat_libelle').'</a>';
				
			$nav_str .= sprintf($item, $cat_link);
		}
		$ts = strtotime($GLOBALS['year'].'-'.$GLOBALS['month'].'-01 00:00');
		$nav_str .= sprintf($item,dt::str('%B %Y',$ts));
	} elseif ($mode == 'post') {
		$cat_link =
			'<a href="'.
			sprintf($news->blog->front_url['cat'],$comp_cat_url.$news->f('cat_libelle_url')).
			'" '.
			sprintf('title="%s"',$news->f('cat_libelle')).
			'>'.$news->f('cat_libelle').'</a>';
			
		$nav_str .= 
			sprintf($item, $cat_link).
			sprintf($item, $news->f('post_titre'));
	}
	printf($block,$nav_str);
}
/**
 * Il s'agit d'un version modifiée de la fonction dcPostAbstract, généralement
 * utilisée pour les affichages de listes de billets.
 * Cette déclinaison permet d'afficher soit le chapô s'il existe, soit les n premiers
 * caractères d'un billet (markup nettoyé).
 * 
 * @param integer length Entier précisant le nombre de caractères à afficher si pas de chapô
 * @param string  s      Chaîne de substitution de l'extrait ('%s')
 * @param string  l      Chaîne affichée après le chapô ('<p><a href="%s">lire la suite</a></p>')
 */
function dcAltPostAbstract($length = 300, $s='%s',$l='<p><a href="%s">lire la suite</a></p>')
{
	global $news;
		
	if ($news->f('post_chapo') != '') {
		printf($s,$news->getChapo());
		printf($l,$news->getPermURL());
	} else {
		printf($s,util::cutString(strip_tags($news->getContent()),$length).'&nbsp;(&hellip;)');
		printf($l,$news->getPermURL());
	}
}
?>