<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php dcInfo('lang'); ?>"
lang="<?php dcInfo('lang'); ?>">
<head>
	<meta http-equiv="Content-Type"
	content="text/html; charset=<?php dcInfo('encoding'); ?>" />
	<meta name="MSSmartTagsPreventParsing" content="TRUE" />
	<?php dcHeadLinks(); ?>
	<link rel="alternate" type="application/rss+xml" title="RSS" href="<?php dcInfo('rss'); ?>" />
	<link rel="alternate" type="application/xml" title="Atom" href="<?php dcInfo('atom'); ?>" />
	<meta name="DC.title" content="<?php dcInfo(); ?>" />
	<title><?php dcSinglePostTitle('%s - '); dcSingleCatTitle('%s - ');
	dcSingleMonthTitle('%s - '); dcCustomTitle('%s - '); dcInfo(); ?></title>
	
	<link rel="stylesheet" type="text/css" href="<?php dcInfo('theme'); ?>/style.css" media="screen" />
	<?php dcPostTrackbackAutoDiscovery(); ?>
    
	<script type="text/javascript">
		function popup(page,nom,option) {
			window.open(page,nom,option); 
		}
    </script>

</head>

<body>

<div id="page">

	<div id="header">
		<h1><a href="<?php dcInfo('url'); ?>"><?php dcInfo(); ?></a></h1>
	</div>

	<div id="top">
		<a href="#">Infos</a> | <a href="#archives">Archives</a> | <a href="#rss">RSS</a> | <a href="#">Liens</a>
	</div>

	<div id="main">
	
		<div id="content">
	
			<?php if ($err_msg != '') : /* Si on a une quelconque erreur, on l'affiche */?>
				<div class="error"><strong>Erreur : </strong>
					<?php echo $err_msg; ?>
				</div>
         
	
			<?php elseif ($preview) : /* Si on demande la pr�visualisation d'un commentaire */?>
				<h3>Commentaire pour <?php dcPostTitle(); ?></h3>
				<div id="comment-preview">
					<blockquote>
					<?php dcCommentPreview(); ?>
					</blockquote>
				</div>
		
				<h3>Changer le commentaire</h3>
				<?php include dirname(__FILE__).'/form.php'; ?>
		
			<?php elseif ($mode != 'post') : /* Si aucune erreur et mode != post on affiche une liste de billets */?>
				<?php # Phrase affich� en cas de recherche (%s est le mot cherch�)
				dcSearchString('<p>R&eacute;sultats de votre recherche de <em>%s</em>.</p>');
				?>
		
			<?php include dirname(__FILE__).'/list.php'; ?>
		
			<?php else : /* Sinon, mode = post, donc billet unique (avec commentaires et tout le reste)*/?>
				<?php include dirname(__FILE__).'/post.php'; ?>
				
			<?php endif; ?>
	
		</div>
	</div>

	<div id="menu">
        <div id="searchform">
			<form action="<?php dcInfo('search'); ?>" method="get">
				<p class="field"><input name="q" id="q" type="text" size="10"
				value="Recherche" accesskey="4" />
				</p>
			</form>
		</div>
	</div>

	<div id="sidebar">
	
		<a name="archives"></a>
		<div id="archives">
			<h2>Archives</h2>
			<?php dcMonthsList(); ?>
		</div>
	
		<a name="rss"></a>
		<div id="syndicate">
			<h2>Syndication</h2>
			<ul>
				<li><a href="<?php dcInfo('rss'); ?>">fil rss</a></li>
				<li><a href="<?php dcInfo('rss'); ?>?type=co">fil rss commentaires</a></li>
				<li><a href="<?php dcInfo('atom'); ?>">fil atom</a></li>
				<li><a href="<?php dcInfo('atom'); ?>?type=co">fil atom commentaires</a></li>
			</ul>
		</div>
	
	</div>

	<p id="footer">
		<a href="http://www.dotclear.net/">propuls&eacute; par DotClear</a> | Thème de Romuald Le Peru
	</p>

</div> <!-- end #page -->

</body>
</html>